###################################################
### chunk number 1: data
###################################################
#line 70 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
library(ALL)
data("ALL")
ALL


###################################################
### chunk number 2: datasub
###################################################
#line 83 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
BcellIds <- grep("^B", ALL$BT)
ALL_B <- ALL[, BcellIds]
dim(ALL_B)


###################################################
### chunk number 3: nspfil
###################################################
#line 93 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
library(genefilter)
library(hgu95av2.db)
nALL_B <- nsFilter(ALL_B)
dim(nALL_B$eset)


###################################################
### chunk number 4: genes
###################################################
#line 105 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
library(hgu95av2.db)
xx <- as.list(hgu95av2PATH2PROBE)
ids <- xx$"04115"
mat_B <- exprs(nALL_B$eset)
ids <- ids[ids %in% rownames(mat_B)]
mat_B <- mat_B[ids,]
dim(mat_B)


###################################################
### chunk number 5: get.genes
###################################################
#line 115 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
get.genes <- function(IDs=c('')){
	result <- 1:length(IDs)
	require(hgu95av2.db)
	xx <- as.list(hgu95av2SYMBOL)
	for(i in 1:length(IDs)){
		if(is.na(xx[[IDs[i]]])==TRUE) {
			result[i] <- IDs[i]
		} else {
			result[i] <- xx[[IDs[i]]]
		}
	}
	return(result)
}
genes <- get.genes(rownames(mat_B))
length(rownames(mat_B))
length(genes)


###################################################
### chunk number 6: rownamesChange
###################################################
#line 136 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
rownames(mat_B) <- get.genes(rownames(mat_B))


###################################################
### chunk number 7: geneNetGraph
###################################################
#line 155 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
geneNetGraph <- function(matrix, pval){
   require(GeneNet)
   corr <- ggm.estimate.pcor(t(matrix))
   results <- ggm.test.edges(corr, plot=F)
   sig <- results$prob>pval
   geneNetGr <- ggm.make.graph(results[sig, ], colnames(t(matrix)))
   return(geneNetGr)
}


###################################################
### chunk number 8: GeneNet
###################################################
#line 166 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
geneNetGr <- geneNetGraph(mat_B,pval=0.8)
require(Rgraphviz)
plot(geneNetGr, main="B-cell ALL")



###################################################
### chunk number 9: GeneNet
###################################################
#line 173 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
plot(geneNetGr, main="B-cell ALL")


###################################################
### chunk number 10: pcalgo
###################################################
#line 186 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
pcGraph <- function(mat, alpha){
require(pcalg)
pcGr <- pcAlgo(t(mat), alpha=alpha)
pcGr <- pcGr@graph
nodes(pcGr) <- rownames(mat)
return(pcGr)
}
pcGr <- pcGraph(mat_B, alpha=0.05)
plot(pcGr, main="B-cell ALL")


###################################################
### chunk number 11: pcalgo
###################################################
#line 198 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
plot(pcGr, main="B-cell ALL")


###################################################
### chunk number 12: lassoGraph
###################################################
#line 209 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
lassoGraph <- function(matrix, rho){
library(glasso)
c <- cov(t(matrix))
gl <- glasso(c, rho=rho, zero=NULL, thr=1.0e-4,
      maxit=1e4, approx=F, penalize.diagonal=TRUE)
wi <- gl$wi
for(i in 1:length(wi[1,])){
for(j in 1:length(wi[,1])){
if(wi[j,i]!=0) {
wi[j,i]=1
}

}
}
diag(wi)=0
g_las <- as(wi,"graphNEL")
nodes(g_las) <- rownames(matrix)
return(g_las)
}


###################################################
### chunk number 13: glasso
###################################################
#line 231 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
lassoGr <- lassoGraph(mat_B,0.15)
plot(lassoGr, main="B-cell ALL")


###################################################
### chunk number 14: glasso
###################################################
#line 236 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
plot(lassoGr, main="B-cell ALL")


###################################################
### chunk number 15: compare2Graphs1
###################################################
#line 300 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
library(graphComp)
Ragr <- compare2Graphs(list(geneNetGr, pcGr), cexx=1.5, 
graphTitle="The comparative graph of the GeneNet and PC graphs",
legendGr1="Edges of GeneNet graph", 
legendGr2="Edges of the PC graph")


###################################################
### chunk number 16: compare2Graphs1
###################################################
#line 312 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
compare2Graphs(list(geneNetGr, pcGr), cexx=1.5, 
graphTitle="The comparative graph of the GeneNet and PC graphs",  
legendGr1="Edges of GeneNet graph", 
legendGr2="Edges of PC graph")


###################################################
### chunk number 17: compare2Graphs2
###################################################
#line 323 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
compare2Graphs(list(pcGr, lassoGr), cexx=1.5,
graphTitle="The comparative graph of the PC and glasso graphs",
legendGr1="Edges of PC",legendGr2="Edges of glasso graph",
legendPosition="bottomleft")


###################################################
### chunk number 18: compare2Graphs2
###################################################
#line 333 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
compare2Graphs(list(pcGr, lassoGr), cexx=1.5,  
graphTitle="The comparative graph of the PC and glasso graphs", 
legendGr1="Edges of PC graph",legendGr2="Edges of glasso graph", 
legendPosition="bottomleft")


###################################################
### chunk number 19: compare2Graphs3
###################################################
#line 346 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
compare2Graphs(list(geneNetGr, lassoGr), cexx=1.5,
graphTitle="The comparative graph of the GeneNet and glasso graphs", 
legendGr1="Edges of GeneNet graph",
legendGr2="Edges of glasso graph")


###################################################
### chunk number 20: compare2Graphs3
###################################################
#line 354 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
compare2Graphs(list(geneNetGr, lassoGr), cexx=1.5, 
graphTitle="The comparative graph of the GeneNet and glasso graphs",  
legendGr1="Edges of GeneNet graph",
legendGr2="Edges of glasso graph")       


###################################################
### chunk number 21: options1
###################################################
#line 367 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
options(width=70)


###################################################
### chunk number 22: get.edges1
###################################################
#line 373 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
get.edges(Ragr, EdgColor="blue")


###################################################
### chunk number 23: get.edges2
###################################################
#line 377 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
get.edges(Ragr, EdgColor="green4")


###################################################
### chunk number 24: get.edges3
###################################################
#line 381 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
get.edges(Ragr, EdgColor="red")


###################################################
### chunk number 25: options2
###################################################
#line 385 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
options(width=70)


###################################################
### chunk number 26: get.hubs1
###################################################
#line 392 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
get.hubs(Ragr,color="blue", p=30)


###################################################
### chunk number 27: get.hubs11
###################################################
#line 397 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
get.hubs(Ragr, color="green4", p=30)


###################################################
### chunk number 28: get.hubs111
###################################################
#line 401 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
get.hubs(Ragr, color="green4", p=5)


###################################################
### chunk number 29: options3
###################################################
#line 405 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
options(width=70)


###################################################
### chunk number 30: get.hubs2
###################################################
#line 410 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
get.hubs(Ragr, color="red", p=30)
get.hubs(Ragr, color="red", p=5)


###################################################
### chunk number 31: getMixed.hubs1
###################################################
#line 418 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
getMixed.hubs(Ragr, p=30)                                                                    
getMixed.hubs(Ragr, p=5)


###################################################
### chunk number 32: options4
###################################################
#line 580 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
options(width=70)


###################################################
### chunk number 33: sessioninfo
###################################################
#line 583 "d:/Rcompile/CRANpkg/local/2.12/graphComp/inst/doc/graphComp.Rnw"
sessionInfo()


